1. 29 Oct, 2017 2 commits
    • Klaus Weidenbach's avatar
      Update intl library. · 66832c41
      Klaus Weidenbach authored
      Update intl library from v0.4? (2014) to v0.7.4 (2016).
      Use global composer autoloader now.
      66832c41
    • Klaus Weidenbach's avatar
      Update Text_LanguageDetect. · 8e4c5db7
      Klaus Weidenbach authored
      Update from v0.3.0 (2012) to v1.0.0 (2017) which should remove some
      warnings and improve PHP7 support.
      Using composer to handle this PEAR library now.
      
      Fix a problem in FeedutilsTest.
      8e4c5db7
  2. 06 Jul, 2017 1 commit
  3. 31 May, 2017 1 commit
  4. 24 May, 2017 1 commit
  5. 22 May, 2017 1 commit
  6. 04 May, 2017 1 commit
  7. 03 May, 2017 1 commit
  8. 14 Apr, 2017 1 commit
    • Klaus Weidenbach's avatar
      Update SimplePie library. · b6459e61
      Klaus Weidenbach authored
      As a follow up to issue #699 update SimplePie from 1.2.1-dev (around
      6years old) to current git master (1.4.4-dev). We use the master branch
      until the next release because it contains our patch for enclosure
      titles already. The other patches in the library from us can be done by
      configuring the SimplePie object in our code instead.
      Used composer to manage this library and use class autoloading.
      Add some unit tests for include/feedutils.php, but the interesting parts
      are unfortunately not testable with the current code.
      b6459e61
  9. 25 Mar, 2017 1 commit
  10. 19 Mar, 2017 1 commit
  11. 16 Mar, 2017 1 commit
  12. 14 Mar, 2017 1 commit
  13. 13 Mar, 2017 1 commit
  14. 05 Mar, 2017 1 commit
    • Klaus Weidenbach's avatar
      🔨 Upgrade Markdownify library. · 6c79e0c0
      Klaus Weidenbach authored
      The current version 2.0.0 (alpha) throws deprecated warning with
      PHP7.1 and PHPUnit.
      Upgrade the HTML to Markdown converter for PHP to the current
      Markdownify 2.2.1.
      Used composer to manage this library.
      6c79e0c0
  15. 27 Feb, 2017 1 commit
    • Klaus Weidenbach's avatar
      🔨 Upgrade PHP Markdown library. · 503c368f
      Klaus Weidenbach authored
      The current version throws deprecated warning with PHP7.1 and PHPUnit.
      Upgrade the Markdown library to the current PHP Markdown Lib 1.7.0.
      Used composer to manage this library.
      503c368f